package com.ghy.payment.service;

import com.ghy.payment.domain.FinancialMaster;

import java.util.List;

/**
 * 主财务单接口
 *
 * @author clunt
 */
public interface FinancialMasterService {

    /**
     * @param financialMaster 主财务单属性
     * @return 成功条数
     */
    int insertFinancialMaster(FinancialMaster financialMaster);

    /**
     * @param financialMaster 主财务单属性
     * @return 成功条数
     */
    int updateFinancialMaster(FinancialMaster financialMaster);

    /**
     * @param financialMaster 主财务单入参
     * @return 主财务单集合
     */
    List<FinancialMaster> selectFinancialMasterList(FinancialMaster financialMaster);


    /**
     * @param financialMasterId 主财务单id
     * @return 主财务单
     */
    FinancialMaster selectById(Long financialMasterId);

    /**
     * @param ids 主财务单ids
     * @return 删除结果
     */
    int deleteFinancialMasterByIds(String ids);

}
